Bug 198432 - TB9051978f repos.py:620:get:RepoError: failure: repodata/comps.xml from core: [Errno 256] No more mirrors to try.
TB9051978f repos.py:620:get:RepoError: failure: repodata/comps.xml from core:...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 08:25 EDT by Mike Atkinson
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 18:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Atkinson 2006-07-11 08:25:24 EDT
Description of problem:
raceback (most recent call last):
  File "/usr/sbin/pirut", line 390, in ?
    main()
  File "/usr/sbin/pirut", line 386, in main
    pm.run()
  File "/usr/sbin/pirut", line 299, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 310, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 150, in reposSetup
    self.doGroupSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 365, in doGroupSetup
    groupfile = repo.getGroups()
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 813, in getGroups
    file = self._retrieveMD('group')
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 784, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 620, in get
    raise Errors.RepoError, "failure: %s from %s: %s" % (relative, self.id, e)
RepoError: failure: repodata/comps.xml from core: [Errno 256] No more mirrors to
try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: None
url: None
text: None
self: core
cache: True
reget: None
relative: repodata/comps.xml
headers: None
checkfunc: (<bound method Repository._checkMD of <yum.repos.Repository instance
at 0xb793db8c>>, ('group',), {})
copy_local: 1
end: None
local: //var/cache/yum/core/comps.xml


Version-Release number of selected component (if applicable):


How reproducible: All the time


Steps to Reproduce:
1. Start "Add/Remove Software"
2.
3.
  
Actual results:


Expected results:


Additional info:
Sytem conects to the internet through a proxy server (running squid on port 3128)
Comment 1 Jeremy Katz 2006-07-18 16:25:48 EDT
Do you have the most recent yum and pirut updates installed?
Comment 2 Jeremy Katz 2006-09-11 18:24:26 EDT
Closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.